Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class DIGAskHandler

    java.lang.Object
      org.mindswap.pellet.dig.DIGConstants
          org.mindswap.pellet.dig.DIGHandler
              org.mindswap.pellet.dig.DIGTellHandler
                  org.mindswap.pellet.dig.DIGAskHandler

Direct Known Subclasses:
  PelletDIGReasoner

    public class DIGAskHandler

extends DIGTellHandler

Author:
  Evren Sirin

Field Summary

Fields inherited from class org.mindswap.pellet.dig.DIGConstants
`ALL, ALL_CONCEPT_NAMES, ALL_INDIVIDUALS, ALL_ROLE_NAMES, ANCESTORS, AND, ASK, ASKS, ATLEAST, ATMOST, ATTRIBUTE, BOTTOM, CATOM, CHAIN, CHILDREN, CLEARKB, CODE, CONCEPT_SET, DEFATTRIBUTE, DEFCONCEPT, DEFFEATURE, DEFINDIVIDUAL, DEFINED, DEFROLE, DESCENDANTS, DISJOINT, DOMAIN, EQUALC, EQUALR, EQUIVALENTS, ERROR, FALSE, FEATURE, FUNCTIONAL, GET_IDENTIFIER, ID, IDENTIFIER, IMPLIESC, IMPLIESR, INDIVIDUAL, INDIVIDUAL_PAIR, INDIVIDUAL_PAIR_SET, INDIVIDUAL_SET, INSTANCE, INSTANCEOF, INSTANCES, INTEQUALS, INTMAX, INTMIN, INTRANGE, INVERSE, ISET, IVAL, KB, LANGUAGE, MAX, MESSAGE, MIN, NAME, NAMESPACE, NEWKB, NOT, NUM, OK, OR, PARENTS, RANCESTORS, RANGE, RANGEINT, RANGESTRING, RATOM, RCHILDREN, RDESCENDANTS, RELATED, RELATED_INDIVIDUALS, RELEASEKB, RESPONSE, RESPONSES, ROLE_FILLERS, ROLE_SET, RPARENTS, SATISFIABLE, SCHEMA, SOME, STRINGEQUALS, STRINGMAX, STRINGMIN, STRINGRANGE, SUBSUMES, SUPPORTS, SVAL, SYNONYMS, TELL, TELLS, TOLD_VALUES, TOP, TRANSITIVE, TRUE, TYPES, URI, VAL, VALUE, VERSION, WARNING, XSI`

Constructor Summary
`DIGAskHandler()`

Method Summary
`org.w3c.dom.Element` | `allConceptNames()`
`org.w3c.dom.Element` | `allIndividuals()`
`org.w3c.dom.Element` | `allRoleNames()`
`org.w3c.dom.Element` | `ancestors(org.w3c.dom.Element node)`
`org.w3c.dom.Document` | `asks(org.w3c.dom.Element asks)`
`org.w3c.dom.Element` | `children(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `descendants(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `disjoint(org.w3c.dom.Element node1, org.w3c.dom.Element node2)`
`org.w3c.dom.Element` | `equivalents(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `instance(org.w3c.dom.Element node1, org.w3c.dom.Element node2)`
`org.w3c.dom.Element` | `instances(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `parents(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `rancestors(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `rchildren(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `rdescendants(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `relatedIndividuals(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `roleFillers(org.w3c.dom.Element nodeInd, org.w3c.dom.Element nodeRole)`
`org.w3c.dom.Element` | `rparents(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `satisfiable(org.w3c.dom.Element node)`
`org.w3c.dom.Element` | `subsumes(org.w3c.dom.Element node1, org.w3c.dom.Element node2)`
`void` | `toldValues(org.w3c.dom.Element nodeInd, org.w3c.dom.Element nodeRole, java.lang.String id)`
`org.w3c.dom.Element` | `types(org.w3c.dom.Element node)`

Methods inherited from class org.mindswap.pellet.dig.DIGTellHandler
`tells`

Methods inherited from class org.mindswap.pellet.dig.DIGHandler
`concept, getAttributeValue, getElement, getElementArray, getElements, getElements, getId, getIntVal, getInverse, getKB, getName, getNameTerm, getNum, getTagName, getURI, getVal, individual, literal, property, serialize, serialize, setKB`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGAskHandler

    public DIGAskHandler()

Method Detail

### asks

    public org.w3c.dom.Document asks(org.w3c.dom.Element asks)

### allConceptNames

    public org.w3c.dom.Element allConceptNames()

### allRoleNames

    public org.w3c.dom.Element allRoleNames()

### allIndividuals

    public org.w3c.dom.Element allIndividuals()

### satisfiable

    public org.w3c.dom.Element satisfiable(org.w3c.dom.Element node)

### subsumes

    public org.w3c.dom.Element subsumes(org.w3c.dom.Element node1,
                                        org.w3c.dom.Element node2)

### disjoint

    public org.w3c.dom.Element disjoint(org.w3c.dom.Element node1,
                                        org.w3c.dom.Element node2)

### children

    public org.w3c.dom.Element children(org.w3c.dom.Element node)

### descendants

    public org.w3c.dom.Element descendants(org.w3c.dom.Element node)

### parents

    public org.w3c.dom.Element parents(org.w3c.dom.Element node)

### ancestors

    public org.w3c.dom.Element ancestors(org.w3c.dom.Element node)

### equivalents

    public org.w3c.dom.Element equivalents(org.w3c.dom.Element node)

### rchildren

    public org.w3c.dom.Element rchildren(org.w3c.dom.Element node)

### rdescendants

    public org.w3c.dom.Element rdescendants(org.w3c.dom.Element node)

### rparents

    public org.w3c.dom.Element rparents(org.w3c.dom.Element node)

### rancestors

    public org.w3c.dom.Element rancestors(org.w3c.dom.Element node)

### instances

    public org.w3c.dom.Element instances(org.w3c.dom.Element node)

### instance

    public org.w3c.dom.Element instance(org.w3c.dom.Element node1,
                                        org.w3c.dom.Element node2)

### types

    public org.w3c.dom.Element types(org.w3c.dom.Element node)

### relatedIndividuals

    public org.w3c.dom.Element relatedIndividuals(org.w3c.dom.Element node)

### roleFillers

    public org.w3c.dom.Element roleFillers(org.w3c.dom.Element nodeInd,
                                           org.w3c.dom.Element nodeRole)

### toldValues

    public void toldValues(org.w3c.dom.Element nodeInd,
                           org.w3c.dom.Element nodeRole,
                           java.lang.String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.